Name:           ipw3945-ucode
Version:        1.14.2
Release:        1%{?dist}
Summary:        Firmware for the Intel PRO/Wireless 3945ABG/3945BG ipw3945 driver

Group:          System Environment/Kernel
License:        Distributable
URL:            http://bughost.org/ipw3945/
Source0:        http://bughost.org/ipw3945/ucode/ipw3945-ucode-1.14.2.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       ipw3945-kmod

# we really don't need debug packages for this
%define debug_package %{nil}

%description
This package contains the firmware needed by the ipw3945 driver.

Usage of the firmware is subject to the terms contained in
%{_docdir}/%{name}-%{version}/LICENSE. Please read
the license carefully.


%prep
%setup -q
sed -i 's/\r//' README.ipw3945-ucode
sed -i 's/\r//' LICENSE.ipw3945-ucode

%build
# Nothing to build.

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/lib/firmware
install -p -m 0644 *.ucode  ${RPM_BUILD_ROOT}/lib/firmware/
install -p -m 0644 LICENSE* ${RPM_BUILD_ROOT}/lib/firmware/
ln -s /lib/firmware/LICENSE.ipw3945-ucode LICENSE

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc LICENSE README*
/lib/firmware/*

%changelog
* Mon Jan 8 2007 Tony Tsui <tsui.tony[AT]gmail.com> - 1.14.2-1
- Update to version 1.14.2

* Sat Jan 6 2007 Tony Tsui <tsui.tony[AT]gmail.com> - 1.13-2
- Add empty build section as per rpmlint.

* Sun Oct 01 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.13-1
- Initial RPM release.
